lct_blog/blog/urls.py
from django.urls import path

from . import views

app_name = 'blog'

urlpatterns = [
    path('', views.index, name='index'),
    path('<int:post_id>/', views.detail, name='detail'),
]

lct_blog/lct_blog/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path("", include("blog.urls")),
    path('admin/', admin.site.urls),
]

lct_blog/blog/models.py
from django.db import models
from django.utils import timezone
from django.contrib.auth.models import User


class TextPost(models.Model):
    author = models.ForeignKey(User, on_delete=models.CASCADE)
    title = models.CharField(max_length=200)
    text = models.TextField()
    pub_date = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return self.title

lct_blog/blog/views.py
from django.http import HttpResponse
from django.template import loader
from django.shortcuts import get_object_or_404

from .models import TextPost


def index(request):
    post_list = TextPost.objects.order_by('-pub_date')[:20]
    template = loader.get_template("blog/index.html")
    context = {"post_list": post_list}
    return HttpResponse(template.render(context, request))


def detail(request, post_id):
    post = get_object_or_404(TextPost, pk=post_id)
    template = loader.get_template("blog/detail.html")
    context = {"post": post}
    return HttpResponse(template.render(context, request))

lct_blog/blog/templates/blog/base.html
<!-- {% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %} -->

<html lang="en">
<head>
    <title>{% block title %}{% endblock %}</title>
</head>
<body>
    <h1>TLC Blog</h1>
    {% block content %}{% endblock %}
    {% block footer %}
    <hr>
    <p>Vakilov V.L.</p>
    <p>2018</p>
    {% endblock %}
</body>
</html>

lct_blog/blog/templates/blog/detail.html
{% extends "blog/base.html" %}

{% block content %}
    <p>{{ post.pub_date }}</p>
    <h2>{{ post.title }}</h2>
    <p>{{ post.text }}</p>
{% endblock %}

lct_blog/blog/templates/blog/index.html
{% extends "blog/base.html" %}

{% block content %}
    {% for post in post_list %}
        <p>{{ post.pub_date }}</p>
        <h2><a href="{% url 'blog:detail' post.id %}">{{ post.title }}</a></h2>
        <p>{{ post.text }}</p>
    {% empty %}
    <p>Нет постов</p>
    {% endfor %}

{% endblock %}